<div class="content">
  <div class="columns column-top">
    <%= link "< Back", to: Routes.opportunity_path(@conn, :index), class: "btn link-custom" %>
  </div>
  <div class="columns">
    <div class="column col-8 form-container">
      <%= form_for @changeset, @action, fn f -> %>
        <%= if @changeset.action do %>
          <p class="alert alert-danger">
            Oops, some fields are empty
          </p>
        <% end %>
        <div class="columns">
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :name, class: "form-label" %>
              <%= text_input f, :name, class: "form-input" %>
              <%= error_tag f, :name %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :stage, class: "form-label" %>
              <%= text_input f, :stage, class: "form-input" %>
              <%= error_tag f, :stage %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :close_date, class: "form-label"  %>
              <%= date_input f, :close_date, class: "form-input" %>
              <%= error_tag f, :close_date %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :discount, class: "form-label"  %>
              <%= number_input f, :discount, class: "form-input" %>
              <%= error_tag f, :discount %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :amount, class: "form-label" %>
              <%= number_input f, :amount, class: "form-input" %>
              <%= error_tag f, :amount %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :probability, class: "form-label" %>
              <%= number_input f, :probability, class: "form-input" %>
              <%= error_tag f, :probability %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :account_id, class: "form-label" %>
              <%= select f, :account_id, @accounts, step: "any", class: "form-select" %>
              <%= error_tag f, :account_id %>
            </div>
          </div>
          <div class="column col-6">
            <div class="form-group">
              <%= label f, :assigned_to, class: "form-label" %>
              <%= text_input f, :assigned_to, class: "form-input" %>
              <%= error_tag f, :assigned_to %>
            </div>
          </div>
          <div class="column col-12">
            <div class="form-group">
              <%= label f, :comment, class: "form-label" %>
              <%= textarea f, :comment, class: "form-input" %>
              <%= error_tag f, :comment %>
            </div>
          </div>
          <div class="column col-6"></div>
        </div>

        <div class="form-bottom">
          <span class="float-right"><%= submit "Create Opportunity", class: "btn btn-custom" %></span>
        </div>
      <% end %>
    </div>
  </div>
</div>